/* Modal window */

aside.modal-slide.quiz-drawer._inner-scroll._show {
    max-width: 100rem;
    left: auto;
}

/* Modal header */

.quiz-drawer header.modal-header {
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: var(--color-branding-primary);
    color: #ffffff;
    padding: 0 2.6rem;
    margin-bottom: 2rem;
  }
  
  .quiz-drawer h1 {
    font-weight: 600;
    font-size: 2rem;
    margin: 2rem 0;
}

  .quiz-drawer.modal-slide  button.action-close {
    padding: .5rem 1rem;
    position: relative;
  }
  
  .quiz-drawer.modal-slide .action-close:before {
    color: #fff;
  }

  /* Questions and answers */

.question-info {
  padding: .75rem 0  2rem;
  margin-bottom: 1rem;
}

.completed .question-info {
  padding: .75rem 0;
}
  
.question-text {
  font-size: var(--text-h3-size);
  font-weight: bold;
  line-height: 1.2;
  padding: 1rem 2rem;
}

.answer-detail {
    display: flex;
    gap: 2rem;
    flex-direction: row;
}
  
.answer-text {
    height: 100%;
}
  
.answer-text p.caption {
    text-align: center;
}
  
div.answer-info {
    width: 100%;
}
  
.answer-info label {
    cursor: pointer;
    display: inline-block;
    height: 100%;
}
  
.answer-detail input[type="radio"] {
    position: absolute;
    top: .4rem;
    left: .6rem;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    border-radius: 50%;
    width: 1.5rem;
    height: 1.5rem;
    border: 2px solid var(--color-branding-primary);
    transition: 0.2s all linear;
}
  
.answer-detail input[type="checkbox"] {
  position: absolute;
  top: 1rem;
  left: 1.2rem;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;
  width: 2.5rem;
  height: 2.5rem;
  border: 2px solid var(--color-dark-gray);
  transition: 0.2s all linear;
  background: #e8e7f0;
  }
  
.answer-detail input:checked {
  background: #00b0db;
}
  
.section-title-wrapper {
    display: flex;
    align-items: center;
    gap: 2rem;
}
  
.section-title {
    font-size: var(--text-h1-size);
    font-weight: var(--font-weight-bold);
}
  
.question-info [data-role="content"] {
  display: flex;
  gap: 2rem;
  align-items: center;
  margin: 1rem 0 2rem;
  flex-direction: column;
  padding: 0 2rem;
}
  
.step.active {
      display: block;
}
  
.answer-content-wrapper {
    display: flex;
    position: relative;
    border: 2px solid var(--color-dark-gray);
    border-radius: 0.5rem;
    padding: 3rem;
    height: calc(100% - 6rem);
    background: #edf7ff;
    flex-direction: column;
    justify-content: center;
    transition: 0.2s all linear;
}
  
.answer-content-wrapper:hover,
.highlight .answer-content-wrapper {
    background: #ffffff;
}
  
.answer-content-wrapper img {
    padding-bottom: 1rem;
}
  
p.caption {
    margin-bottom: 0;
}

.question-info {
  background: var(--color-light-gray);
}

.question-info [data-role="collapsible"] {
    position: relative;
    z-index: 1;
  }
  
  span.ui-icon-circle-plus:after,
  span.ui-icon-circle-minus:after {
    position: absolute;
    right: 1rem;
    font-size: var(--text-h2-size);
    z-index: -1;
  }
  
  span.ui-icon-circle-minus:after {
    content: "-";
  }
  
  span.ui-icon-circle-plus:after {
    content: "+";
  }

  .completed .question-text::before {
    content: '';
    display: inline-block;
    transform: rotate(45deg);
    height: 1rem;
    width: .5rem;
    border-bottom: .4rem solid var(--color-pa-checked);
    border-right: .4rem solid var(--color-pa-checked);
    margin-right: 1rem;
    margin-left: .5rem;
}

.completed.question-info {
  background: var(--color-pa-answer-checked-bg);
  color: #fff;
  padding: 0.75rem 0 0.75rem;
}


/* Success pages */

.cart-message ul {
  padding: 0 1.25em;
}

.cart-message h2 {
  margin: 0;
  line-height: 1.2;
  font-weight: 600;
}

.cart-message h3 {
  font-weight: 600;
}

.cart-message p {
  margin-bottom: 1rem;
}

#ri_virtualaudit_slideout .product-info-main {
  display: flex;
  align-items: center;
}

.product-image {
  text-align: center;
  margin-bottom: 2rem;
}

.cart-message .wrap {
  display: flex;
  align-items: center;
  gap: 1rem;
  margin-bottom: 1rem;
}

.cart-message svg {
  height: 4rem;
}

.cart-message.green-message svg {
  fill: var(--color-pa-icon-green);
}

.cart-message.yellow-message svg {
  fill: var(--color-pa-icon-yellow);
}

.cart-message.red-message svg {
  fill: var( --color-pa-icon-red);
}

@media only screen and (min-width: 768px) {
  #product-wrapper .product-info-main {
    display: flex;
    flex-direction: row;
    align-items: center;
  }
}
